POST api/packagingtypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PackagingTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| id | globally unique identifier |
None. |
|
| active | boolean |
None. |
|
| site_id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 30 |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"id": "6e19a60d-8647-48fa-bc04-a6a67ea15480",
"active": true,
"site_id": "1c3a60b6-278c-40db-89d1-7a88301ee171",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<packagingtype xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<id>6e19a60d-8647-48fa-bc04-a6a67ea15480</id>
<site_id>1c3a60b6-278c-40db-89d1-7a88301ee171</site_id>
<type>sample string 4</type>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</packagingtype>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"aa0ded54-cdff-4d9e-b918-d792d6ed6b85"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">aa0ded54-cdff-4d9e-b918-d792d6ed6b85</guid>